Package org.eclipse.app4mc.amalthea.model.io

## Class AmaltheaWriter

- Object
- - AmaltheaWriter

    public class AmaltheaWriter
    extends Object

### Method Summary

All Methods
`static boolean` `writeToFile​(Amalthea model, File file)` Static method to save an AMALTHEA model to a file.
`static boolean` `writeToFileNamed​(Amalthea model, String pathname)` Static method to save an AMALTHEA model to a file with a given pathname string.
`static boolean` `writeToURI​(Amalthea model, URI uri)` Static method to save an AMALTHEA model to a file URI.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeToFileNamed

    public static boolean writeToFileNamed​(Amalthea model,
                                           String pathname)

Static method to save an AMALTHEA model to a file with a given pathname string.

Possible path names:

- absolute (example: "d:/temp/model_new.amxmi")
- relative to project folder (example: "output/model_new.amxmi")

Parameters:
  `model` - source model
  `pathname` - String
Returns:
  boolean - true if file is written successfully

#### writeToFile

    public static boolean writeToFile​(Amalthea model,
                                      File file)

Static method to save an AMALTHEA model to a file.

Parameters:
  `model` - source model
  `file` - standard Java file
Returns:
  boolean - true if file is written successfully

#### writeToURI

    public static boolean writeToURI​(Amalthea model,
                                     URI uri)

Static method to save an AMALTHEA model to a file URI.

Parameters:
  `model` - source model
  `uri` - org.eclipse.emf.common.util.URI
Returns:
  boolean - true if file is written successfully